Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "agt_4f9c2b7e10a24d51",
"organizationId": "org_2a1b9c",
"name": "Peak Comfort HVAC — Front Desk",
"version": 7,
"status": "published",
"persona": "A warm, efficient front-desk agent for an HVAC company.",
"primaryLanguage": "en",
"languages": [
"en",
"es"
],
"sku": "code_switch",
"enabledChannels": [
"voice",
"chat"
],
"defaultVoiceId": "voice_9c1f",
"greeting": "Thanks for calling Peak Comfort HVAC — how can I help?",
"createdAt": "2026-07-01T14:32:00.000Z",
"updatedAt": "2026-07-12T09:15:00.000Z"
}
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Agents
Get an agent
Returns a single agent by its ID, including its current draft configuration.
GET
/
agents
/
{id}
Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "agt_4f9c2b7e10a24d51",
"organizationId": "org_2a1b9c",
"name": "Peak Comfort HVAC — Front Desk",
"version": 7,
"status": "published",
"persona": "A warm, efficient front-desk agent for an HVAC company.",
"primaryLanguage": "en",
"languages": [
"en",
"es"
],
"sku": "code_switch",
"enabledChannels": [
"voice",
"chat"
],
"defaultVoiceId": "voice_9c1f",
"greeting": "Thanks for calling Peak Comfort HVAC — how can I help?",
"createdAt": "2026-07-01T14:32:00.000Z",
"updatedAt": "2026-07-12T09:15:00.000Z"
}
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Flowyte secret API key (Authorization: Bearer flowyte_sk_live_…). Scope-gated; is scoped to your organization — a key can never reach another tenant. The listed scopes in each operation's apiKey requirement are the scopes that key must hold. The tokenUrl is nominal: keys are minted in the dashboard.
FlowClient Credentials
- Token URL
- /api/v1/api-keys
Scopes1
agents:read
Read agents.
Path Parameters
The agent's unique ID (the UUID returned by createAgent / listAgents).